Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# default_server.cpp File Reference

`#include "tao/default_server.h"`
`#include "tao/default_client.i"`
`#include "ace/OS_NS_strings.h"`

Include dependency graph for default_server.cpp:

## Defines
#define | TAO_BEGINCHECK if (0)
#define | TAO_CHECKANDSET(sym)
#define | TAO_ENDCHECK
## Functions
const char * | get_rcsid_tao_default_server (const char *)
## Variables
const char * | rcsid_tao_default_server = get_rcsid_tao_default_server ( rcsid_tao_default_server )

## Define Documentation

#define TAO_BEGINCHECK if (0)

#define TAO_CHECKANDSET | ( | sym |  | ) |

| Value:
    else if (ACE_OS::strcmp (const_cast <const ACE_TCHAR *> ( flag), ACE_LIB_TEXT(#sym)) == 0) \
      ACE_SET_BITS (this->thread_flags_, sym)

#define TAO_ENDCHECK

## Function Documentation

const char* get_rcsid_tao_default_server | ( | const char * |  | ) | `[inline, static]`

## Variable Documentation

const char* rcsid_tao_default_server = get_rcsid_tao_default_server ( rcsid_tao_default_server )`[static]`